Method: projects.locations.collections.engines.assistants.deleteCachedContent

Deletes a context cache created by assistants.createCachedContent (releases storage before TTL). Limited to Gemini Enterprise clients (ASSISTANT_USER visibility).

HTTP request

POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:deleteCachedContent

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the Assistant serving the request. Format: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}

Request body

The request body contains data with the following structure:

JSON representation
{
  "model": string,
  "cachedContent": string
}
Fields
model

string

Required. Opaque model ID the cache belongs to; must match the assistants.createCachedContent request so the proxy can resolve the backend.

cachedContent

string

Required. The cachedContents/{id} resource-name segment of the name returned by assistants.createCachedContent, identifying the cache to delete.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • discoveryengine.assistants.assist

For more information, see the IAM documentation.